Bug 1018456 - Miss install OpenIPMI during installing ovirt-node-plugin-ipmi and start ipmi service when loading IPMI page
Miss install OpenIPMI during installing ovirt-node-plugin-ipmi and start ipmi...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Ryan Barry
Virtualization Bugs
Depends On:
Blocks: 1018457
  Show dependency treegraph
Reported: 2013-10-12 04:20 EDT by haiyang,dong
Modified: 2014-01-21 14:54 EST (History)
15 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.1-5.el6
Doc Type: Bug Fix
Doc Text:
The initial implementation of the IPMI plugin for the hypervisor did not require OpenIPMI in the RPM specfile or start the service by default. It now does so, and IPMI works as expected.
Story Points: ---
Clone Of:
: 1018457 (view as bug list)
Last Closed: 2014-01-21 14:54:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
attached Screenshot for IPMI page (13.98 KB, image/png)
2013-10-26 07:48 EDT, haiyang,dong
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20129 None None None Never

  None (edit)
Description haiyang,dong 2013-10-12 04:20:26 EDT
Description of problem:
Using "edit-node --repo=edit-node.repo --install=ovirt-node-plugin-ipmi-3.0.1-3.el6.noarch.rpm rhev-hypervisor6-6.5-20130930.0.auto665.el6.iso
" to install ipmi plugin into rhev-h.
It just install ovirt-node-plugin-ipmi and ipmitool package. Miss install OpenIPMI and OpenIPMI-libs package.
Then clean install rhev-hypervisor6-6.5-20130930.0.auto665.ipmi.el6.iso on DELL PowerEdge R510,login rhev-h.
Enter into IPMI page and check that IPMI Enabled is False.

Also drop into shell and check that:
[root@dell-per510-01 ~]# ipmitool -I open sdr elist full
Could not open device at /dev/ipmi0 or /dev/ipmi/0 or /dev/ipmidev/0: No such file or directory
Get Device ID command failed
Unable to open SDR for reading

The root cause is due to miss install OpenIPMI during installing ovirt-node-plugin-ipmi
and miss to start ipmi service when loading IPMI page.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 4 haiyang,dong 2013-10-26 07:48:25 EDT
Created attachment 816389 [details]
attached Screenshot for IPMI page

Test version:

Using "edit-node --repo=edit-node.repo --install=ovirt-node-plugin-ipmi-3.0.1-6.el6.noarch.rpm rhevh-6.5-20131024.1.0.iso
" to install ipmi plugin into rhev-h.
It will install ovirt-node-plugin-ipmi ipmitool OpenIPMI and OpenIPMI-libs package.
Then clean install rhevh-6.5-20131024.1.0.iso on DELL PowerEdge R510,login rhev-h.
Enter into IPMI page and check that the "IPMI Enabled" show "True" and Fan Status also was shown in IPMI page.(Seen attached Screenshot for IPMI page).
Also default ipmi service will start during booting.

so this bug has been fixed, change it into "VERIFIED".
Comment 7 Cheryn Tan 2013-11-07 19:33:30 EST
This bug is currently attached to errata RHBA-2013:15277. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:


Thanks in advance.
Comment 9 errata-xmlrpc 2014-01-21 14:54:28 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.